summarylogtreecommitdiffstats
path: root/gog-planescape-torment
diff options
context:
space:
mode:
authorAndré Fettouhi2015-06-11 20:23:57 +0200
committerAndré Fettouhi2015-06-11 20:23:57 +0200
commit6ae0e0301bcd102508ff792948393a50ebc03d4a (patch)
tree4d4fd1f9705426f77a2f2471de2e659c48ee7195 /gog-planescape-torment
downloadaur-6ae0e0301bcd102508ff792948393a50ebc03d4a.tar.gz
Initial import
Diffstat (limited to 'gog-planescape-torment')
-rw-r--r--gog-planescape-torment25
1 files changed, 25 insertions, 0 deletions
diff --git a/gog-planescape-torment b/gog-planescape-torment
new file mode 100644
index 000000000000..983eede398f1
--- /dev/null
+++ b/gog-planescape-torment
@@ -0,0 +1,25 @@
+#!/usr/bin/bash
+ID=planescape-torment
+WRITABLE='*.ini *.bif *.key'
+EXE=Torment.exe
+USERDIR=$HOME/.gog/$ID
+export WINEPREFIX=$USERDIR/.wine
+export WINEDEBUG=-all
+
+if ! [ -d $USERDIR ]
+then
+ INSTALLDIR=/opt/gog/$ID
+ mkdir -p $(dirname $USERDIR)
+ cp -as $INSTALLDIR $USERDIR
+ WINEARCH=win32 wineboot -i
+ rm $WINEPREFIX/dosdevices/"z:"
+ ln -s $USERDIR $WINEPREFIX/drive_c
+ cd $USERDIR
+ for file in $WRITABLE
+ do
+ cp -a --remove-destination $INSTALLDIR/$file $file
+ done
+fi
+
+cd $WINEPREFIX/drive_c/$ID
+wine $EXE